package com.prolog.rdc.tms.service.print;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.print.PrinterBatchConfigInfoDTO;
import com.prolog.rdc.tms.model.dto.print.PrinterConfigInfoDTO;
import com.prolog.rdc.tms.model.dto.print.PrinterConfigurationDTO;
import com.prolog.rdc.tms.model.vo.print.DeleteSysPrinterVO;
import com.prolog.rdc.tms.model.vo.print.PrinterBatchConfigInfoVO;
import com.prolog.rdc.tms.model.vo.print.PrinterConfigInfoVO;
import com.prolog.rdc.tms.model.vo.print.PrinterConfigurationVO;
import com.prolog.rdc.tms.model.vo.print.QuerySysPrinterConfigurationVO;

/**
 * 
 *
 * 打印机配置服务层
 *
 * @className :PrinterConfigurationService
 * @author :fanzw
 * @creationTime :2022/11/21
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface PrinterConfigurationService {

	// 新增打印机
	void save(PrinterConfigurationVO vo);

	// 修改打印机
	void update(PrinterConfigurationVO vo);

	// 打印机列表查询
	Page<PrinterConfigurationDTO> findList(QuerySysPrinterConfigurationVO vo) throws Exception;

	// 删除
	void delete(DeleteSysPrinterVO vo);

	// 详情
	PrinterConfigurationDTO detail(Long id) throws Exception;

	// 打印机配置下拉
	List<PrinterConfigurationDTO> dropDownList(String printerName) throws Exception;

	PrinterConfigInfoDTO queryPrinterInfo(PrinterConfigInfoVO printerConfigInfoVO);

	PrinterBatchConfigInfoDTO queryBatchPrinterInfo(PrinterBatchConfigInfoVO printerConfigInfoVO);

}
